commit:     50ab4e61b476335f603d92f21c9e309d2b21330d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 16 01:28:42 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Dec 16 01:28:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50ab4e61

sys-devel/mold: add 1.0.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-devel/mold/Manifest          |  1 +
 sys-devel/mold/mold-1.0.0.ebuild | 67 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/sys-devel/mold/Manifest b/sys-devel/mold/Manifest
index fc960548595a..c1c71b4a9882 100644
--- a/sys-devel/mold/Manifest
+++ b/sys-devel/mold/Manifest
@@ -1 +1,2 @@
 DIST mold-0.9.6.tar.gz 3378698 BLAKE2B 
1352e4f2bc018b53f6f18f6412c4747660a808a896d0c5c620db64babe42a6a949ca444f14a426a41202c8e26ff5973996819c6e4778eeaff6cb20b5746deb0d
 SHA512 
d3de30b371413e974728fba03958d6043026f59aead8371058a0b1dc672e2675e169a1def3afd3751058f529d6ec80ff78c773d2718c1d9f0bdea74d9f13bc2e
+DIST mold-1.0.0.tar.gz 3482927 BLAKE2B 
56ebc267370548a2f91a71ebeed87871cede6f564c29dc7d44a499b95fe570f6e9c8a717baf2d9e235c7057c41e735b315493bd23d3b44574d2a44b14aaf5ef8
 SHA512 
99ffd0b9e2ff7157cc8b26808675c9d3147bf88961155ae19ed9b99990ac647b7ec31ee78d05062decc6d41e66d99aa0fdc398d119803929b8dbff51eb3d077c

diff --git a/sys-devel/mold/mold-1.0.0.ebuild b/sys-devel/mold/mold-1.0.0.ebuild
new file mode 100644
index 000000000000..da4500cc160d
--- /dev/null
+++ b/sys-devel/mold/mold-1.0.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A Modern Linker"
+HOMEPAGE="https://github.com/rui314/mold";
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/rui314/mold.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/rui314/mold/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="AGPL-3"
+SLOT="0"
+
+# Try again after 1.0 (nearly there, but path-related issues)
+# https://github.com/rui314/mold/issues/137
+RESTRICT="test"
+
+RDEPEND=">=dev-cpp/tbb-2021.4.0:=
+       dev-libs/xxhash:=
+       sys-libs/zlib
+       !kernel_Darwin? (
+               dev-libs/mimalloc:=
+               dev-libs/openssl:=
+       )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+
+       # Needs unpackaged dwarfdump
+       rm test/elf/{compress-debug-sections.sh,compressed-debug-info.sh} || die
+}
+
+src_compile() {
+       tc-export CC CXX
+
+       emake \
+               SYSTEM_TBB=1 \
+               SYSTEM_MIMALLOC=1 \
+               STRIP="true" \
+               LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_test() {
+       emake \
+               SYSTEM_TBB=1 \
+               SYSTEM_MIMALLOC=1 \
+               check
+}
+
+src_install() {
+       emake \
+               SYSTEM_TBB=1 \
+               SYSTEM_MIMALLOC=1 \
+               DESTDIR="${ED}" \
+               PREFIX="${EPREFIX}/usr" \
+               LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+               STRIP="true" \
+               install
+}

Reply via email to